
Summary: a basic statistical package for X windows
Name: xldlas
Version: 0.85
Release: 3
Copyright: GPL
Group: X11/Applications
URL: http://a42.com/~thor/xldlas
Packager: John C. Peterson <jaypee@netcom.com>
Source: http://a42.com/~thor/xldlas/xldlas-0.85-source.tgz
Patch: xldlas-0.85-linux.patch
Buildroot: /tmp/build_root

%description
Xldlas is an X11 based statistical application with graphing, regression
analysis, curve fitting using genetic algorithms, and some other useful
stuff.  It was inspired by a non-X11 statistics program called ldlas,
which stood for ldlas, damned lies, and statistics. So, I guess xldlas
stands for x ldlas, damned lies, and statisitics. Xldlas uses the xforms
package. This RPM distribution assumes you have release 0.86 or newer.

Xldlas is the work of Thor Sigvaldason, <thor@netcom.ca>. For more
information, see the xldlas man page, the online tutorial, (accessed
from the help menu at the upper right), or the xldlas home page at:

                       http://a42.com/~thor/xldlas

%prep
%setup -n xldlas
%patch -p1

%build
make CCFLAG="-m486 -O2 -Wall -DXFORMS86"

%install
# clean start
rm -rf $RPM_BUILD_ROOT
# make the directories we will need
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xldlas
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
# install the executable with correct permissions
install -m 0755 -s xldlas $RPM_BUILD_ROOT/usr/X11R6/bin
# install the man page preserving time stamps
cp -p xldlas.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/xldlas.1x
chmod 0444 $RPM_BUILD_ROOT/usr/X11R6/man/man1/xldlas.1x
# install the help files
cd help; tar cf - . | (cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xldlas; tar xf -)

%files
%doc ANNOUNCE CHANGES README
/usr/X11R6/bin/xldlas
/usr/X11R6/lib/X11/xldlas
/usr/X11R6/man/man1/xldlas.1x

